//****************************************************************************
// @Module        Watchdog Timer (WDT)
// @Filename      WDT.H
// @Project       WDTgame.dav
//----------------------------------------------------------------------------
// @Controller    Infineon C167CS-L
//
// @Compiler      Tasking
//
// @Codegenerator 2.3
//
// @Description   This file contains all function prototypes and macros for 
//                the WDT module.
//
//----------------------------------------------------------------------------
// @Date          22.04.2014 14:03:07
//
//****************************************************************************

// USER CODE BEGIN (WDT_Header,1)

// USER CODE END



#ifndef _WDT_H_
#define _WDT_H_

//****************************************************************************
// @Project Includes
//****************************************************************************

// USER CODE BEGIN (WDT_Header,2)

// USER CODE END


//****************************************************************************
// @Macros
//****************************************************************************

// USER CODE BEGIN (WDT_Header,3)

// USER CODE END


//****************************************************************************
// @Defines
//****************************************************************************

// USER CODE BEGIN (WDT_Header,4)

// USER CODE END


//****************************************************************************
// @Typedefs
//****************************************************************************

// USER CODE BEGIN (WDT_Header,5)

// USER CODE END


//****************************************************************************
// @Imported Global Variables
//****************************************************************************

// USER CODE BEGIN (WDT_Header,6)

// USER CODE END


//****************************************************************************
// @Global Variables
//****************************************************************************

// USER CODE BEGIN (WDT_Header,7)

// USER CODE END


//****************************************************************************
// @Prototypes Of Global Functions
//****************************************************************************

void WDT_vInit(void);

//****************************************************************************
// @Macro         WDT_vTriggerWDT() 
//
//----------------------------------------------------------------------------
// @Description   This macro triggers the watchdog.
//                Note:
//                The user has to take care that this function (only if 
//                watchdog is enabled) is called before the watchdog timer 
//                expires.
//
//----------------------------------------------------------------------------
// @Returnvalue   None
//
//----------------------------------------------------------------------------
// @Parameters    None
//
//----------------------------------------------------------------------------
// @Date          22.04.2014
//
//****************************************************************************

#define WDT_vTriggerWDT() SRVWDT

// USER CODE BEGIN (WDT_Header,8)

// USER CODE END


#endif  // ifndef _WDT_H_
